Package csb :: Package bio :: Package fragments :: Class TargetResidue

[frames] | no frames]

# Class TargetResidue

source code

    object --+
             |
            TargetResidue

Known Subclasses:
  - ChemShiftTargetResidue

Wrapper around Target's native residues. Decorates them with additional, fragment-related methods.

Instance Methods

__init__(self, native_residue) x.__init__(...) initializes x; see help(type(x)) for signature | source code

assign(self, assignment_info) | source code

Assignment

closest(self) Returns: the fragment with the lowest RMSD at this position in the Target | source code

ClusterRep or None

filter(self, method=`'``rmsd_to``'`, threshold=1.5, extend=False) Filter all fragments, covering this position in the Target using a FragmentCluster. | source code

Assignment

longest(self) Returns: the longest fragment, covering the current position | source code

float

precision(self, threshold=1.5) Returns: the residue-wise precision of the fragment library at the current position (percentage). | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| assignments
| native
| type
Inherited from `object`: `__class__`

Method Details

### __init__(self, native_residue)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### closest(self)

source code

Returns: Assignment
  the fragment with the lowest RMSD at this position in the Target

### filter(self, method=`'``rmsd_to``'`, threshold=1.5, extend=False)

source code

Filter all fragments, covering this position in the Target using a FragmentCluster.

Parameters:
  - `method` (str) - one of the Metrics members (default=Metrics.RMSD)
  - `threshold` (float) - cluster RMSD threshold (see FragmentCluster)
  - `extend` (bool) - pick extended alternative where possible (default=False)
Returns: ClusterRep or None
  cluster's representative (if converged) or None

### longest(self)

source code

Returns: Assignment
  the longest fragment, covering the current position

### precision(self, threshold=1.5)

source code

Parameters:
  - `threshold` (float) - true-positive RMSD cutoff (default=1.5)
Returns: float
  the residue-wise precision of the fragment library at the current position (percentage).

Property Details

### assignments

Get Method:
  unreachable.assignments(self)

### native

Get Method:
  unreachable.native(self)

### type

Get Method:
  unreachable.type(self)